Loading...
Searching...
No Matches
osmo_tundev Struct Reference
Tun

## Data Fields

char * | name
struct osmo_netdev * | netdev
unsigned int | ifindex
char * | dev_name
bool | dev_name_dynamic
struct osmo_wqueue | wqueue
char * | netns_name
void * | priv_data
osmo_tundev_data_ind_cb_t | data_ind_cb
bool | opened

## Field Documentation

## data_ind_cb

osmo_tundev_data_ind_cb_t osmo_tundev::data_ind_cb

Referenced by osmo_tundev_set_data_ind_cb(), and tundev_decaps().

## dev_name

char* osmo_tundev::dev_name

Referenced by osmo_tundev_close(), osmo_tundev_get_dev_name(), osmo_tundev_set_dev_name(), tundev_dev_name_chg_cb(), and tundev_open_fd().

## dev_name_dynamic

bool osmo_tundev::dev_name_dynamic

Referenced by osmo_tundev_close(), osmo_tundev_set_dev_name(), tundev_dev_name_chg_cb(), and tundev_open_fd().

## ifindex

unsigned int osmo_tundev::ifindex

Referenced by osmo_tundev_open(), and tundev_open_fd().

## name

char* osmo_tundev::name

Referenced by osmo_tundev_alloc(), and osmo_tundev_get_name().

## netdev

struct osmo_netdev* osmo_tundev::netdev

Referenced by osmo_tundev_alloc(), osmo_tundev_close(), osmo_tundev_free(), osmo_tundev_get_netdev(), osmo_tundev_open(), tundev_dev_name_chg_cb(), tundev_ifupdown_ind_cb(), and tundev_mtu_chg_cb().

## netns_name

char* osmo_tundev::netns_name

Referenced by osmo_tundev_get_netns_name(), osmo_tundev_open(), and osmo_tundev_set_netns_name().

## opened

bool osmo_tundev::opened

Referenced by osmo_tundev_close(), osmo_tundev_is_open(), osmo_tundev_open(), osmo_tundev_set_dev_name(), and osmo_tundev_set_netns_name().

## priv_data

void* osmo_tundev::priv_data

Referenced by osmo_tundev_get_priv_data(), and osmo_tundev_set_priv_data().

## wqueue

struct osmo_wqueue osmo_tundev::wqueue

Referenced by osmo_tundev_alloc(), osmo_tundev_close(), osmo_tundev_get_fd(), osmo_tundev_open(), osmo_tundev_send(), tundev_decaps(), tundev_ifupdown_ind_cb(), and tundev_write_cb().

The documentation for this struct was generated from the following file:

- src/core/tun.c